Open Badge details aren't accessible with screenreader

Bug #1568619 reported by Kristina Hoeppner on 2016-04-10
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
High
Robert Lyon
16.04
High
Unassigned
16.10
High
Robert Lyon

Bug Description

Mahara 16.04dev

When you have an Open Badge in a page and you just use a screenreader and click on the Open Badge image, the modal with the information about the badge does not appear. I suspect the on.click Javascript is the culprit.

Reviewed: https://reviews.mahara.org/7072
Committed: https://git.mahara.org/mahara/mahara/commit/e9f806db39fe050506700dbd33da3507c3602a58
Submitter: Aaron Wells (<email address hidden>)
Branch: master

commit e9f806db39fe050506700dbd33da3507c3602a58
Author: Robert Lyon <email address hidden>
Date: Tue Oct 4 16:38:55 2016 +1300

Bug 1568619: Allowing openbadge info modal to open via enter key

Also allow one to tab through the modal and close it and put the focus
back on the badge we used to open the modal

behatnotneeded

Change-Id: I45c428f7abfa6e20be3b1a6d0c6867ec6f62f199
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Patch for "16.04_STABLE" branch: https://reviews.mahara.org/7150

Reviewed: https://reviews.mahara.org/7149
Committed: https://git.mahara.org/mahara/mahara/commit/0093c118735a469cee3979f858d800fd6f8224d1
Submitter: Robert Lyon (<email address hidden>)
Branch: 16.10_STABLE

commit 0093c118735a469cee3979f858d800fd6f8224d1
Author: Robert Lyon <email address hidden>
Date: Tue Oct 4 16:38:55 2016 +1300

Bug 1568619: Allowing openbadge info modal to open via enter key

Also allow one to tab through the modal and close it and put the focus
back on the badge we used to open the modal

behatnotneeded

Change-Id: I45c428f7abfa6e20be3b1a6d0c6867ec6f62f199
Signed-off-by: Robert Lyon <email address hidden>
(cherry picked from commit e9f806db39fe050506700dbd33da3507c3602a58)

Robert Lyon (robertl-9) on 2016-10-18
no longer affects: mahara/17.04
Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/7150
Committed: https://git.mahara.org/mahara/mahara/commit/37d9d39c1df43adb6fe97f815a618eee4939faca
Submitter: Robert Lyon (<email address hidden>)
Branch: 16.04_STABLE

commit 37d9d39c1df43adb6fe97f815a618eee4939faca
Author: Robert Lyon <email address hidden>
Date: Tue Oct 4 16:38:55 2016 +1300

Bug 1568619: Allowing openbadge info modal to open via enter key

Also allow one to tab through the modal and close it and put the focus
back on the badge we used to open the modal

behatnotneeded

Change-Id: I45c428f7abfa6e20be3b1a6d0c6867ec6f62f199
Signed-off-by: Robert Lyon <email address hidden>
(cherry picked from commit e9f806db39fe050506700dbd33da3507c3602a58)

Robert Lyon (robertl-9) on 2016-10-21
Changed in mahara:
milestone: 16.04.1 → none
Robert Lyon (robertl-9) on 2016-10-25
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers